Name:           xautomation
Version:        1.05
Release:        1%{?dist}
Summary:        Tools to automate tasks in X, even detecting on screen images

Group:          User Interface/X
License:        GPLv2+
URL:            http://hoopajoo.net/projects/xautomation.html
Source0:        http://hoopajoo.net/static/projects/%{name}-%{version}.tar.gz
# Fix DSO linking
Patch0:         xautomation-1.03-DSO.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libpng-devel
BuildRequires:  libXtst-devel

%description
Control X from the command line for scripts, and do "visual
scraping" to find things on the screen. The control interface allows
mouse movement, clicking, button up/down, key up/down, etc, and uses
the XTest extension so you don't have the annoying problems that xse
has when apps ignore sent events. The visgrep program find images
inside of images and reports the coordinates, allowing programs to
find buttons, etc, on the screen to click on.


%prep
%setup -q
%patch0 -p1 -b .DSO


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/pat2ppm
%{_bindir}/patextract
%{_bindir}/png2pat
%{_bindir}/rgb2pat
%{_bindir}/visgrep
%{_bindir}/xmousepos
%{_bindir}/xte
%{_mandir}/man1/*.1.*
%{_mandir}/man7/*.7.*


%changelog
* Thu Sep 15 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.05-1
- Update to 1.05

* Fri Sep 02 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.04-1
- Update to 1.04

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul  6 2010 EL MORABITY Mohamed <melmorabity@fedoraproject.org> 1.03-3
- Bump release

* Wed Jun 23 2010 EL MORABITY Mohamed <melmorabity@fedoraproject.org> 1.03-2
- Fix mispelling in %%description

* Sun Jun 13 2010 EL MORABITY Mohamed <melmorabity@fedoraproject.org> 1.03-1
- Initial RPM release
